These are the instruction to flash your MCS board

In case of problems please contact:
Anna Bergamaschi anna.bergamaschi@psi.ch
Bernd Schmitt bernd.schmitt@psi.ch

1. If you want upgrade the MCS sofware replace the file fimage with the new one (possibly rename the old one for backup)

2. Power up your MCS connected to the network.
Please backup the network settings of the board (at least hostname and mac address). You can transfer the content of the /etc/conf.d directory via ftp.

3. Open a terminal with root privileges and execute
$ ./flashitall

4. Press and release the boot and reset buttons on the MCS in the following order:
-press boot (and keep it pressed)
-press reset (and keep it pressed)
-release reset
-release boot
Please note that in the newest MCS1 boards the boot buton is inside, so that you will need to remove the cover to find it.

5. On the terminal you should see a series of addresses and messages. The process should end with the message:

0x80000000: Verifying...OK
JUMP
0x00000000
END
Exiting with code 0

If nothing happens try again to push and release the buttons and check that the MCS is correctly connected to the network.
If the flash does not succeed plese contact the SLS detector group. A major problem might be occurring to your board.

6. Now your MCS software has been updated, but your previous network configurations are lost. 
The board is now configured DHCP with hostname mcs1x00 and mac address 00:50:c2:46:d8:10
To retrieve your old settings you can either transfer back the /etc/conf.d directory you have stored as suggested at step 2. or open a browser, connect to  mcs1x00 via http and edit the network settings and mac address by following the links on the homepage

7. If an update of the firmware is also required, please reboot on windows and follow the instructions in the directory FPGA (which should be accessible also under windows)

